<?php

namespace FM\Service;

use FM\Factory\FotoTarefaAgendFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use FM\Traits\TFileUpload;

class FotoTarefaAgendService {
    
    use TFileUpload;

    protected $FotoTarefaAgendFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (FotoTarefaAgendFactory $FotoTarefaAgendFactory, Environment $Environment, NewCode $newCode) {
        $this->FotoTarefaAgendFactory = $FotoTarefaAgendFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }   
    
    public function anexarFoto($dados){
        $file = $this->uploadImages($dados['IMAGEM']);
        $NRORG = 20;
        foreach($file as $image){
             $this->FotoTarefaAgendFactory->salvarImagem(array(
                 'NRFOTOTAREFAAGEND' => $this->newCode->getCodeByTableName("FCM_FOTOTAREFAAGEND", $NRORG, 1, 10, true),
                 'NRTAREFAAGEND' => intval($dados['NRTAREFA']),
                 'DSFOTOTAREFAAGEND' => $image['DS'],
                 'NRORG' => $NRORG,
                 'CDOPERINCLUSAO' => $dados['CDOPERADOR'],
                 'NRORGINCLUSAO' => $NRORG,
                 'CDOPERULTATU' => $dados['CDOPERADOR'],
                 'NRORGULTATU' => $NRORG,
                 'DSTYPE' => $image['DSTYPE'],
                 'QTSIZE' => $image['QTSIZE']
             ));
        }
    }
    
    public function getFoto($dados){
        return $this->FotoTarefaAgendFactory->getFoto(array(
            'NRTAREFAAGEND' => $dados['NRTAREFA'],
        ));
    }
    
    public function deleteFoto($dados){
        return $this->FotoTarefaAgendFactory->deleteFoto(array(
            'NRTAREFAAGEND' => $dados['NRTAREFA'],
            'NRFOTOTAREFAAGEND' => $dados['NRFOTOTAREFA'],
        ));
    }
}

?>
